<?php

namespace Kaitek\Bundle\FrameworkBundle\Repository;

use Doctrine\ORM\EntityRepository;
use Kaitek\Bundle\FrameworkBundle\Model\UserLoaderInterface;
/**
 * UserRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class UserRepository extends EntityRepository
{
    public function loadUsers(){
        $sql="SELECT id,username,fullname,avatar from _user where expired='f' and locked='f' and roles not like '%SUPER_ADMIN%'";
        $rsm = new ResultSetMapping;
        $rsm->addScalarResult('id', 'id');
        $rsm->addScalarResult('username', 'username');
        $rsm->addScalarResult('fullname', 'fullname');
        $rsm->addScalarResult('avatar', 'avatar');
        $em = $this->em;
        $query = $em->createNativeQuery($sql,$rsm);
        $records=$query->getArrayResult();
        $arr=array('params'=>false);
        //$count=$this->getCountSql($_sql,$arr);
        return array("totalProperty"=>count($records),"records"=>$records);
    }
}
